# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Wario Land Template

game: Wario Land
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Wario Land:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # Determines the goal of the seed
    # Genie: Kill the required number of bosses followed by the Genie
    # Garlic Hunt: Find a certain number of Garlic Cloves
    genie: 50
    garlic_hunt: 0

  bosses_required:
    # How many Bosses must be defeated in order to defeat the final boss
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 6
    6: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-6: 0 # random value between 0 and 6

  progressive_powerup:
    # Whether powerups get unlocked in order or can be found directly as items.
    'false': 0
    'true': 50

  get_previous_powerups:
    # If powerups are not progressive, if you find jet, all previous powerups will be acquired as well (e.g. garlic, bull, dragon).
    'false': 50
    'true': 0

  start_with_hj:
    # High-Jump is active from the start. For people who like going fast.
    'false': 50
    'true': 0

  remove_autoscrollers:
    # Turn autoscrollers into normal scrolling stages.
    'false': 50
    'true': 0

  boss_unlocks:
    # Whether boss levels need to be unlocked by items found in the multiworld.
    'false': 0
    'true': 50

  world_unlocks:
    # Whether overworld spots need to be unlocked by items found in the multiworld.
    # In a single world multiworld, this is forced to unlock Parsley Woods from the start.
    'false': 50
    'true': 0

  number_of_garlic_cloves:
    # How many Garlic Cloves are in the pool for Garlic Clove Hunt
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 30
    15: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-30: 0 # random value between 1 and 30

  percentage_of_garlic_cloves:
    # What Percentage of Garlic Cloves are required to finish Garlic Clove Hunt
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 100
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-100: 0 # random value between 1 and 100

  treasure_checks:
    # Whether collecting the treasure in levels will grant a check
    'false': 0
    'true': 50

  blocksanity:
    # Whether blocks with a face sprite count as checks
    # This does include hidden blocks and adds around 550 checks to the game
    # For more info check the Blocksanity Tips in:
    # https://github.com/randomcodegen/Archipelago_WL/blob/wl-dev/worlds/wl/docs/en_Wario_Land.md
    'false': 50
    'true': 0

  trap_fill_percentage:
    # Replace a percentage of junk items in the item pool with random traps
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  stun_trap_weight:
    # Likelihood of a receiving a trap which briefly stuns Wario
    none: 0
    low: 0
    medium: 50
    high: 0

  timer_trap_weight:
    # Likelihood of a receiving a trap which causes the timer to get set to 100
    none: 0
    low: 0
    medium: 50
    high: 0

  death_trap_weight:
    # Likelihood of receiving a trap which causes the player to die
    none: 0
    low: 0
    medium: 50
    high: 0

  grease_trap_weight:
    # Likelihood of receiving a greasy trap
    none: 0
    low: 0
    medium: 50
    high: 0

  music_shuffle:
    # Whether level music is shuffled or not.
    'false': 50
    'true': 0

  starting_life_count:
    # How many extra lives to start the game with
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 99
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-99: 0 # random value between 1 and 99

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
